<app-toolbar [title]="'simple.changePassword'"></app-toolbar>
<div class="content">
	<mat-card>
		<form [formGroup]="form" (ngSubmit)="onSubmit()">
			<mat-form-field appearance="outline">
				<mat-label>{{ 'simple.password' | translate }}</mat-label>
				<input
					matInput
					formControlName="password"
					type="password"
					autocomplete="password"
					maxlength="50"
					autocorrect="off"
					autocapitalize="none"
				/>
				<mat-error>{{ getPasswordErrors() }}</mat-error>
			</mat-form-field>
			<mat-form-field appearance="outline">
				<mat-label>{{ 'simple.newPassword' | translate }}</mat-label>
				<input
					matInput
					formControlName="newPassword1"
					type="password"
					autocomplete="password"
					maxlength="50"
					autocorrect="off"
					autocapitalize="none"
				/>
				<mat-error>{{ getNewPassword1Errors() }}</mat-error>
			</mat-form-field>
			<mat-form-field appearance="outline">
				<mat-label>{{ 'simple.newPassword' | translate }}</mat-label>
				<input
					matInput
					formControlName="newPassword2"
					type="password"
					autocomplete="password"
					maxlength="50"
					autocorrect="off"
					autocapitalize="none"
				/>
				<mat-error>{{ getNewPassword2Errors() }}</mat-error>
			</mat-form-field>
			<button mat-raised-button type="submit" class="submit" color="primary" [disabled]="form.invalid">{{
				'simple.changePassword' | translate
			}}</button>
		</form>
	</mat-card>
</div>
